We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

Angular Chips is a UI control that provides small blocks of text information. Chips can also contain avatars, images, letters, and close icons. They can be used as tags when filtering contacts and email inbox, selecting choices from available options, and providing input to an application.

Angular Chips example


Simple UI

Angular Chips are compact elements for representing simple content and can also trigger actions when selected.

Angular Action Chips


Angular Choice Chips

Choice chips

Chips in Angular can be grouped together as a collection of choices. Choice chips allow users to select from available options.


Filter chips

Filter chips are a collection of chips that allow users to filter the view items based on their choices.

Filtering support in most popular Angular Chips


Angular Input Chips

Dynamic chips

Dynamic chips allow chips to be added or removed. A chip can be created from text provided by the user in an input box or deleted as needed.


UI customization

You can customize the chip appearance with avatars, close icons, and more using the built-in options.

Angular Chips customization


Angular Chips code example

Easily get started with Angular Chips using a few simple lines of HTML and TS code, as demonstrated below. Also explore our Angular Chips example that shows you how to render the Chips in Angular.

<div class="control-section">
    <div id="chip-default-wrapper">
        <div class="chips-headers">Chips</div>
        <div class="sample-padding">
            <ejs-chiplist id="chip-default">
                <e-chips>
                    <e-chip text="Apple" cssClass="e-primary"></e-chip>
                    <e-chip text="Microsoft" cssClass="e-info"></e-chip>
                    <e-chip text="Google" cssClass="e-success"></e-chip>
                </e-chips>
            </ejs-chiplist>
        </div>
        <div class="separator"></div>
        <div class="chips-headers">Input Chips</div>
        <div class="sample-padding">
            <ejs-chiplist id="chip-avatar" enableDelete="true">
                <e-chips>
                    <e-chip text="Anne" leadingIconCss="anne"></e-chip>
                    <e-chip text="Janet" leadingIconCss="janet"></e-chip>
                    <e-chip text="Laura" leadingIconCss="laura"></e-chip>
                </e-chips>
            </ejs-chiplist>
        </div>
        <div class="separator"></div>
        <div class="chips-headers">Filter Chips</div>
        <div class="sample-padding">
            <ejs-chiplist id="chip-filter" selection="Multiple" [selectedChips]="this.filterSelected">
                <e-chips>
                    <e-chip text="Extra small"></e-chip>
                    <e-chip text="Small"></e-chip>
                    <e-chip text="Medium"></e-chip>
                </e-chips>
            </ejs-chiplist>
        </div>
        <div class="separator"></div>
        <div class="chips-headers">Choice Chips</div>
        <div class="sample-padding">
            <ejs-chiplist id="chip-choice" selection="Single" cssClass="e-outline" [selectedChips]="this.choiceSelected">
                <e-chips>
                    <e-chip text="Send a text" avatarIconCss="text"></e-chip>
                    <e-chip text="Set a remainder" avatarIconCss="alarm"></e-chip>
                    <e-chip text="Read my emails" avatarIconCss="mail"></e-chip>
                    <e-chip text="Play a game" avatarIconCss="game"></e-chip>
                </e-chips>
            </ejs-chiplist>
        </div>
    </div>
</div>
import { Component, ViewEncapsulation } from '@angular/core';
@Component({
    selector: 'control-content',
    templateUrl: 'default.html',
    styleUrls: ['default.css'],
    encapsulation: ViewEncapsulation.None
})
export class DefaultChipsComponent {
    choiceSelected = [1];
    filterSelected = [1, 3];
}

Other supported frameworks

Chips is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Chips platforms from the links below:

Angular version compatibility

Angular Chips is kept up to date to make it compatible with the latest version of Angular.




90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

The Angular Chips with rich set of features offers the following,

  • Chips are compact elements that represent simple content.
  • Chip types include action, choice, filter, and input.
  • Built-in support for customizing Chips.
  • One of the best Angular Chips components on the market, offering a feature-rich UI.
  • Learn more about Angular Chips API example.
  • Supports all modern browsers.
  • Touch-friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started fast.

We do not sell the Angular Chips separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular Chips. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular Chips demo, which demonstrates how to render and configure the Chips control.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular Chips, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Chips component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

React Chips is a UI control that provides small blocks of text information. Chips can also contain avatars, images, letters, and close icons. They can be used as tags when filtering contacts and email inbox, selecting choices from available options, and providing input to an application.

React Chips


Simple UI

React Chips are compact elements for representing simple content and can also trigger actions when selected.

React Action Chips


React Choice Chips

Choice chips

Chips can be grouped together as a collection of choices. Choice chips allow users to select from available options.


Filter chips

Filter chips are a collection of chips that allow users to filter the view items based on their choices.

React Filter Chips


React Input Chips

Dynamic chips

Dynamic chips allow chips to be added or removed. A chip can be created from text provided by the user in an input box or deleted as needed.


UI customization

You can customize the chip appearance with avatars, close icons, and more using the built-in options.

React Chips customization


React Chips code example

Easily get started with the React Chips using a few simple lines of TSX code as demonstrated below. Also explore our React Chips example that shows you how to render and configure Chips in React.

import * as React from 'react';
import * as ReactDom from 'react-dom';
import { ChipListComponent, ChipsDirective, ChipDirective } from '@syncfusion/ej2-react-buttons';
function App() {
return (<ChipListComponent id="chip-default">
  <ChipsDirective>
    <ChipDirective text="Apple" cssClass="e-primary"></ChipDirective>
    <ChipDirective text="Microsoft" cssClass="e-info"></ChipDirective>
    <ChipDirective text="Google" cssClass="e-success"></ChipDirective>
    <ChipDirective text="Tesla" cssClass="e-warning"></ChipDirective>
    <ChipDirective text="Intel" cssClass="e-danger"></ChipDirective>
  </ChipsDirective>
</ChipListComponent> );
}
const root = ReactDOM.createRoot(document.getElementById('chip'));
root.render(<ReactApp />);

Other supported frameworks

The Chips component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Chips platforms from the links below:




90+ REACT UI COMPONENTS

Frequently Asked Questions

Syncfusion React Chips provides the following features:

  • Representation of simple content in a compact element.
  • Chip types include action, choice, filter, and input.
  • Built-in support for customizing chips.
  • One of the best React Chips on the market, offering a feature-rich UI.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Expansive learning resources such as demos and documentation to learn quickly and get started fast.

We do not sell the React Chips separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Chips. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Chips demo, which demonstrates how to render and configure the Chips.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Chips, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Chips component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon